<template>
  <modal
      name="modalPost"
      width="50%"
      height="auto"
      clickToClose
      >
      <div class="card p-2">
      <div class="modal-header">
        <h3>Valoration and Comment</h3>
        <button
          type="button"
          class="close"
          @click="$modal.hide('modalPost')"
          data-dismiss="modal"
          aria-label="Close"
        >
          <font-awesome-icon color="firebrick" icon="times" size="lg"/>
        </button>
        </div>
                <div class="modal-body">
                    <div class="row align-items-center">
                        <div class="col-10 d-flex flex-row p-4">
                           <span v-for="key in bookLikes" :key="key" class="col-1 m-1 p-0 m-0 ">
                             <font-awesome-icon class="likes" color="goldenrod" icon="star"/>
                           </span>
                        </div>
                        <div class="col-2 d-flex flex-column">
                          <span class="btn" @click="likes('+')"><font-awesome-icon class="likes" color="rgb(5, 5, 110)" icon="sort-up"  size="lg"/></span>
                          <span class="btn" @click="likes('-')"><font-awesome-icon class="likes" color="rgb(5, 5, 110)" icon="sort-down"  size="lg"/></span>
                        </div>
                    </div>
                    <div class="row p-2">
                        <h4 class="ml-2">Comment :</h4>
                        <textarea class="form-control form-rounded mt-3" rows="6" v-model="textComment"></textarea>
                    </div>

               </div>
               <div class="modal-footer">
                 <div class="btn ml-auto btn-info" @click="post()">Post</div>
               </div>
               </div>
            </modal>
</template>
<script>

export default{
  data(){
    return{
      bookLikes:0,
      textComment:"",
    }
  },
  methods :{
    likes(action){
      if(action=='+') {
        if (this.bookLikes<5)  this.bookLikes++
      }else if(this.bookLikes>0) this.bookLikes--
    },
    post(){
      this.$emit('post',{valoration:this.bookLikes,comment:this.textComment})
      this.$modal.hide('modalPost')
    }
  }
}
</script>
<style>
  .likes{
     font-size: calc(2vw + 2vh);
  }
</style>
